For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Shipping Addresses
              • GETGet Shipping Address
              • PUTUpdate Shipping Address
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Shipping Addresses

Update Shipping Address

PUT
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/shipping_addresses/:id
PUT
/stores/:store_hash/v2/orders/:order_id/shipping_addresses/:id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "first_name": "first",
> "last_name": "last",
> "company": "company",
> "street_1": "street 1",
> "street_2": "street 2",
> "city": "Sydney",
> "state": "New South Wales",
> "zip": "2000",
> "country": "Australia",
> "country_iso2": "AU",
> "phone": "468444123",
> "email": "email2@bigcommerce.com"
>}'
1{
2 "base_cost": "15.0000",
3 "base_handling_cost": "0.0000",
4 "city": "Sydney",
5 "company": "company",
6 "cost_ex_tax": "15.0000",
7 "cost_inc_tax": "15.0000",
8 "cost_tax": "0.0000",
9 "cost_tax_class_id": 2,
10 "country": "Australia",
11 "country_iso2": "AU",
12 "email": "email@bigcommerce.com",
13 "first_name": "first",
14 "form_fields": [],
15 "handling_cost_ex_tax": "0.0000",
16 "handling_cost_inc_tax": "0.0000",
17 "handling_cost_tax": "0.0000",
18 "handling_cost_tax_class_id": 2,
19 "id": 1,
20 "items_shipped": 0,
21 "items_total": 1,
22 "last_name": "last",
23 "order_id": 100,
24 "phone": "phone",
25 "shipping_method": "Flat Rate",
26 "shipping_quotes": {
27 "url": "https://api-proxy.service.bcdev/stores/17hoqh4ddx/v2/orders/100/shipping_addresses/1/shipping_quotes",
28 "resource": "/orders/100/shipping_addresses/1/shipping_quotes"
29 },
30 "shipping_zone_id": 1,
31 "shipping_zone_name": "United States",
32 "state": "New South Wales",
33 "street_1": "street 1",
34 "street_2": "street 2",
35 "zip": "2000"
36}

Update a shipping address associated with an order.

Note: Updating a shipping address will NOT trigger the recalculation of shipping cost and tax

Was this page helpful?
Previous

Get Shipping Address

Next

List Order Shipping Quotes

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
idstringRequired
Shipping address ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
first_namestringOptional
last_namestringOptional
companystringOptional
street_1stringOptional

Street address (first line).

street_2stringOptional

Street address (second line).

citystringOptional
statestringOptional
zipstringOptional
Zip or postal code, as a string.
countrystringOptional
country_iso2stringOptional

2-letter ISO Alpha-2 code for the country.

phonestringOptional

Recipient’s telephone number.

emailstringOptional

Recipient’s email address.

shipping_methodstringOptional
Text code identifying the BigCommerce shipping module selected by the customer.
form_fieldslist of objectsOptional

Response

OK
base_coststring

The base value of the order’s items. (Float, Float-As-String, Integer)

base_handling_coststring

The base handling charge. The value can’t be negative. (Float, Float-As-String, Integer)

citystring
companystring
cost_ex_taxstring

The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)

cost_inc_taxstring

The value of the order’s items, including tax. (Float, Float-As-String, Integer)

cost_taxstring

The tax amount on the order. (Float, Float-As-String, Integer)

cost_tax_class_idinteger

The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)

countrystring
country_iso2string

2-letter ISO Alpha-2 code for the country.

emailstring

Recipient’s email address.

first_namestring
form_fieldslist of objects
handling_cost_ex_taxstring

The handling charge, excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_inc_taxstring

The handling charge, including tax. The value can’t be negative. (Float, Float-As-String, Integer)

handling_cost_taxstring
handling_cost_tax_class_idinteger

A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)

idinteger
ID of this shipping address.
items_shippeddouble
The number of items that have been shipped.
items_totaldouble
The total number of items in the order.
last_namestring
order_idinteger
ID of the order.
phonestring

Recipient’s telephone number.

shipping_methodstring
Text code identifying the BigCommerce shipping module selected by the customer.
shipping_quotesobjectRead-only
shipping_zone_iddouble
Numeric ID of the shipping zone.
shipping_zone_namestring
Name of the shipping zone.
statestring
street_1string

Street address (first line).

street_2string

Street address (second line).

zipstring
Zip or postal code, as a string.

Errors

400
Bad Request Error
404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.